import { AuthService, OpenAPI, RunnerService, RunnerTeamService, ScanService } from "@odit/lfk-client-node";

const groupID = 3;
const distanceMeter = 69;

OpenAPI.BASE = process.env.BASE_URL || "http://localhost:4010";
const user = process.env.USER || "demo";
const password = process.env.PASSWORD || "demo";

const auth = await AuthService.authControllerLogin({username: user, password});
OpenAPI.TOKEN = auth.access_token;
console.log("Logged in")

const team = await RunnerTeamService.runnerTeamControllerGetOne(groupID);
if(!team){
    process.exit(1)
}

const runners = await RunnerService.runnerControllerGetAll();
const groupRunners = runners.filter((r)=> r.group.id == team.id);

const scans = [];
for (const runner of groupRunners) {
    scans.push(ScanService.scanControllerPost({distance: distanceMeter, runner:runner.id, valid: true}))
}
await Promise.all(scans);